## xbindkeys 1.8.7

=== debian/changelog ===
xbindkeys (1.8.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove 1 obsolete maintscript entry.
  * Remove deprecated Encoding key from desktop file debian/xbindkeys.desktop.
  * Update standards version to 4.6.0, no changes needed.

  [ Ricardo Mones ]
  * Build with guile-3.0.
    Thanks to Vagrant Cascadian for the patch (Closes: #969670)
  * Set Stantards-Version to 4.6.1, no other changes
  * Add two patches for removing build warnings

 -- Ricardo Mones <mones@debian.org>  Sat, 17 Sep 2022 12:27:03 +0200

xbindkeys (1.8.7-1) unstable; urgency=medium

  * New upstream version 1.8.7
  * Switch to dpkg-source 3.0 (quilt) format
  * Update manpages patch for new upstream
  * Update watch URL to use secure protocol
  * Bump compat level to 13 and simplify rules
  * Add Rules-Requires-Root field

 -- Ricardo Mones <mones@debian.org>  Sun, 06 Sep 2020 17:25:17 +0200

xbindkeys (1.8.6-2) unstable; urgency=high

  * Build depend on Guile 2.2.
    Thanks to Martin Samuelsson for the original patch (Closes: #885239)
  * Update homepage URL
  * Update watch file to version 4 and expand regexp
  * Add manpage for xbindkeys_autostart
  * Update copyright to DEP 5 format
  * Set compatibility level to 12
  * Update Standards-Version to 4.5.0, no other changes
  * Add Vcs-* headers for current repository

 -- Ricardo Mones <mones@debian.org>  Thu, 23 Jan 2020 21:09:14 +0100

xbindkeys (1.8.6-1) unstable; urgency=medium

  * New upstream version
    - Bug fix: Do not grab keysym not mapped on keyboard.
      Prevent a AnyKey grab, this should (Closes: #447026)
  * Bug fix: "New release blocks seahorse"  (Closes: #628654).
    We now put the autostart script elsewhere and place a file in
    /etc/xdg/autostart. In the common Desktop Environments this should
    have xbindkeys still start automatically, but without the problems the
    old way of using /etc/X11/Xsession.d gave us.
    Users whose environment does not make use of /etc/xdg/autostart do
    need to manually start xbindkeys, either by just running it from their
    xsession or by executing /usr/bin/xbindkeys_autostart
  * Bug fix: "Please update homepage in man page", thanks to Mathieu
    Malaterre (Closes: #640477).
  * Bug fix: "[xbindkeys] xbindkeys defaults file should only be
    examples", thanks to Dean Evans (Closes: #657965).
  * Update guile version

 -- Joerg Jaspert <joerg@debian.org>  Sun, 16 Feb 2014 13:59:57 +0100

xbindkeys (1.8.5-1) unstable; urgency=low

  * New upstream version (Closes: #628165).
  * Bug fix: "xbindkeys crashes upon second keypress due to memory
    corruption", thanks to Josh D (Closes: #613429).
  * Bug fix: "xbindkeys single-handedly wastes a watt of power polling for
    a nonexistent file", thanks to Steve Langasek (Closes: #581509).
  * Bug fix: "configure.ac has additional whitespaces which confuse
    autoconf", thanks to booiiing (Closes: #537826).
  * Bug fix: "Does not provide a method to run for all users", thanks to
    Evan Giles (Closes: #332319).
  * Bug fix: "Crashes upon Guile GC", thanks to J\.P\. Larocque (Closes:
    #516328).
  * Bug fix: "only the first entry in xbindkeysrc works until the file is
    edited", thanks to Celejar (Closes: #445718).

 -- Joerg Jaspert <joerg@debian.org>  Sat, 28 May 2011 20:35:39 +0200

xbindkeys (1.8.3-1) unstable; urgency=low

  * New upstream version (Closes: #542533)
    - Fix watch file to point current site (Closes: #449685)
    - Added Homepage field to control file.
  * debian/menu
    - Fixed quotation of needs field
    - Section fixed to "Applications/Accessibility" (Closes: #444890)
      While it's a generic tool, not specifically targeted to any subset
      of users, it may certainly help also people with disabilities or
      with unusual systems.
  * Added compat file, set to level 7
  * debian/control
    - Removed obsolete x-dev from Build-Depends: x11-proto-core-dev is
      already pulled by libx11-dev. (Closes: #515463)
    - Set debhelper versioned dependency to match compat
    - Added autotools-dev for fixing ancient config.{sub,guess}
    - Updated Standards-Version to 3.8.3 with no other changes required
    - Added ${misc:Depends} to binary package
    - Added myself to uploaders
  * debian/rules
    - Added targets to fix ancient config.{sub,guess} files
    - Replaced dh_clean -k with dh_prep for compat level 7
    - Reformatted and removed template coments,
  * Fixed changelog spelling errors reported by lintian.

 -- Ricardo Mones <mones@debian.org>  Sat, 16 Jan 2010 00:34:06 +0100

xbindkeys (1.8.2-1) unstable; urgency=low

  * New upstream version (Closes: #346423, #388690)
    - Enable a full access to the xbindkeys internal from the guile
      scheme configuration file. A grabbed key can start a shell command
      or run a scheme function. This enable to do more powerful things
      inside xbindkeys whitout the need of an external shell script
      (like double click, timed double click or keys combinations).
    - Configuration files are reloaded on the fly when they have
      changed so there is no more need to send a HUP signal to reload
      them
    - Changes to grab keys in all display screens and not only in the
      default root window (Xinerama support).
  * ACK 1.7.1-1.1 NMU, thanks to Steinar H. Gunderson (Closes: #349111).
  * Bug fix: "xbindkeys: It&#39;s not to be called "X Windows"
    ;-)", thanks to Jan Minar (Closes: #270207).
  * Bug fix from upstream: "xbindkeys doesn&#39;t work", thanks to BaBL
    (Closes: #405015).
  * Update description with the new guile stuff.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 15 Sep 2007 00:29:59 +0200

xbindkeys (1.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346820)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 02:36:25 +0100


