=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_autoreconf:
	touch ./config.rpath
